/fal-ai/flux-lora/image-to-image
Official docs: https://fal.ai/models/fal-ai/flux-lora/image-to-image
POST
/fal-ai/flux-lora/image-to-imageBody Parametersapplication/json
enable_safety_checker boolean
Enable safety checker. Default: true
guidance_scale number
Range: 0–35
image_url* string
Image URL; accepted: jpg, jpeg, png, webp, gif, avif
num_images integer
Number of images, range 1–4
num_inference_steps integer
Range: 1–50
output_format string
Output image format: jpeg, png
prompt* string
Prompt
strength number
strength, range 0.01–1
Responses
200 application/json
response-200 object
400 Bad request or validation failed application/json
response-400 object
properties error* object
401 Missing or invalid API Key application/json
response-401 object
1{
2"enable_safety_checker": true,
3"guidance_scale": 3.5,
4"image_url": "https://storage.googleapis.com/falserverless/example_inputs/dog.png",
5"num_images": 1,
6"num_inference_steps": 28,
7"output_format": "jpeg",
8"prompt": "A photo of a lion sitting on a stone bench",
9"strength": 0.85
10}
1curl -X POST "https://api.digislash.com/fal-ai/flux-lora/image-to-image" \
2-H "Authorization: Bearer <API Key>" \
3-H "Content-Type: application/json" \
4-d '{
5"enable_safety_checker": true,
6"guidance_scale": 3.5,
7"image_url": "https://storage.googleapis.com/falserverless/example_inputs/dog.png",
8"num_images": 1,
9"num_inference_steps": 28,
10"output_format": "jpeg",
11"prompt": "A photo of a lion sitting on a stone bench",
12"strength": 0.85
13}'
1▼{
2"cancel_url": "https://queue.fal.run/fal-ai/flux-lora/requests/9b54828d-3c2b-4e0e-ac8c-ac234504015e/cancel",
3"metrics": {},
4"queue_position": 0,
5"request_id": "9b54828d-3c2b-4e0e-ac8c-ac234504015e",
6"response_url": "https://queue.fal.run/fal-ai/flux-lora/requests/9b54828d-3c2b-4e0e-ac8c-ac234504015e",
7"status": "IN_QUEUE",
8"status_url": "https://queue.fal.run/fal-ai/flux-lora/requests/9b54828d-3c2b-4e0e-ac8c-ac234504015e/status"
9}
